org.apache.sysds.runtime.functionobjects

## Class ValueComparisonFunction

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.ValueComparisonFunction

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Equals, GreaterThan, GreaterThanEquals, LessThan, LessThanEquals, NotEquals

      public abstract class ValueComparisonFunction
      extends ValueFunction
      implements Serializable

  Abstraction for comparison (relational) operators in order to force a proper implementation by all relevant subclasses.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueComparisonFunction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `compare(boolean in1, boolean in2)`
    `abstract boolean` | `compare(double in1, double in2)`
    `abstract boolean` | `compare(long in1, long in2)`
    `abstract boolean` | `compare(String in1, String in2)`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

      `requiresCorrection`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueComparisonFunction

          public ValueComparisonFunction()

  - ### Method Detail

    - #### compare

          public abstract boolean compare(double in1,
                                          double in2)

    - #### compare

          public abstract boolean compare(long in1,
                                          long in2)

    - #### compare

          public abstract boolean compare(boolean in1,
                                          boolean in2)

    - #### compare

          public abstract boolean compare(String in1,
                                          String in2)

Copyright © 2020 The Apache Software Foundation. All rights reserved.